Subject: bug#58740: tab line overscroll

From: João Guerra <[email-masked]>
Date: Sun, 23 Oct 2022 15:56:37 +0200

If a user has word wrap globally enabled, e.g. via (setq-default
word-wrap t), tab-line-auto-hscroll overscrolls, i.e. when scrolling
the tab line to make the selected tab visible, it may overscroll extra
tabs unnecessarily.

This patch disables word wrap when setting up the temporary buffer
used by tab-line-auto-hscroll.